JNA API 3.2.7

## com.sun.jna
Class MethodResultContext

    java.lang.Object
      com.sun.jna.FromNativeContext
          com.sun.jna.FunctionResultContext
              com.sun.jna.MethodResultContext

    public class MethodResultContext

extends FunctionResultContext

Provide result conversion context for a function call that is called via a Library interface.

Constructor Summary
`MethodResultContext(Class resultClass, Function function, Object[] args, Method method)`

Method Summary
`Method` | `getMethod()` Get the Method used to invoke this function call.

Methods inherited from class com.sun.jna.FunctionResultContext
`getArguments, getFunction`

Methods inherited from class com.sun.jna.FromNativeContext
`getTargetType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodResultContext

    MethodResultContext(Class resultClass,
                        Function function,
                        Object[] args,
                        Method method)

Method Detail

### getMethod

    public Method getMethod()

  Get the Method used to invoke this function call.

JNA API 3.2.7

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.